## gnome-format 0.1.1

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8
# Jaap Haitsma, 2008
# Michael Kanis, 2008

import os
import intltool

# the following two variables are used by the target "waf dist"
VERSION='0.1.1'
APPNAME='gnome-format'

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

def set_options(opt):
	opt.tool_options('compiler_cc')
	opt.add_option('--enable-maintainer-mode', action='store_true',
	               dest='maintainer', default=False,
	               help='Set correct paths to allow execution in src dir. [Default: False]')
	opt.add_option('--enable-debug-output', action='store_true',
	               dest='debug_output', default=False,
	               help='Enable debugging output. [Default: False]')

def configure(conf):
	import Options
	
	conf.check_tool('compiler_cc cc vala gnome intltool')
	conf.check_cfg(package='glib-2.0', uselib_store='GLIB', atleast_version='2.10.0', mandatory=1, args='--cflags --libs')
	conf.check_cfg(package='gtk+-2.0', uselib_store='GTK', atleast_version='2.10.0', mandatory=1, args='--cflags --libs')
	conf.check_cfg(package='dbus-glib-1', uselib_store='DBUS', mandatory=1, args='--cflags --libs')
	conf.check_cfg(package='gee-1.0', uselib_store='GEE', mandatory=1, args='--cflags --libs')
	conf.check_cfg(package='libglade-2.0', uselib_store='GLADE', mandatory=1, args='--cflags --libs')
	conf.check_cfg(package='gmodule-2.0', uselib_store='GMODULE', mandatory=1, args='--cflags --libs')
	conf.check_cfg(package='gio-unix-2.0', uselib_store='GIO_UNIX', mandatory=1, args='--cflags --libs')
	conf.check_cfg(package='libparted', uselib_store='PARTED', mandatory=1, args='--cflags --libs')
	conf.check_cfg(package='gthread-2.0', uselib_store='GTHREAD', mandatory=1, args='--cflags --libs')
	
	conf.define('PACKAGE_NAME', APPNAME)
	conf.define('GETTEXT_PACKAGE', APPNAME)
	conf.define('PACKAGE_VERSION', VERSION)
	conf.define('VERSION', VERSION)
	
	if Options.options.maintainer:
		conf.define('PACKAGE_DATADIR', 'data')
		conf.define('PACKAGE_LOCALEDIR', 'build/default/po')
	else:
		conf.define('PACKAGE_DATADIR', os.path.join(conf.env['PREFIX'], 'share', APPNAME)) 
		conf.define('PACKAGE_LOCALEDIR', os.path.join(conf.env['PREFIX'], 'share', 'locale'))
	
	if Options.options.debug_output:
		conf.define('DEBUG', 1)
	else:
		conf.define('DEBUG', 0)
	
	conf.write_config_header('config.h')

def build(bld):
	bld.add_subdirs('src')

	if bld.env['INTLTOOL']:
		bld.add_subdirs('po')

	bld.install_files('${PREFIX}/share/gnome-format', 'data/gnome-format.ui');
	bld.install_files('${PREFIX}/share/applications', 'data/gnome-format.desktop');
#	bld.install_files('${PREFIX}/share/locale', '.../*.mo');

def shutdown():
	pass

=== debian/changelog ===
gnome-format (0.1.1-0ubuntu12) oneiric; urgency=low

  * Update watch file.
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <barygin@gmail.com>  Sat, 24 Sep 2011 15:35:53 +0400

gnome-format (0.1.1-0ubuntu11) oneiric; urgency=low

  * Add debian/patches/08_compile_with_vala_0.12.patch:
    - Fix FTBFS with newer Vala (LP: #749060)
    - Make GnomeFormat.StorageError public
    - Don't use deprecated syntax for connecting to gobject signals
    - Ensure the on_window_delete_event prototype matches that of the
      delete_event prototype in the gtk vapi
  * update debian/control to build-depend on valac-0.12 for now:
    - valac-0.14 is currently crashing whilst building this

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 13 Sep 2011 10:42:37 +0100

gnome-format (0.1.1-0ubuntu10) lucid; urgency=low

  * Build against parted 2.2.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Mar 2010 01:06:42 +0000

gnome-format (0.1.1-0ubuntu9) lucid; urgency=low

  * Switch to debian 3.0 (quilt) format.
  * Switch to debhelper 7.
  * Refresh and convert all patches to quilt format.
  * Drop dpatch support.
  * debian/patches/06-launch_with_gksu.patch: Uses su-to-root instead of
    gksu.
  * debian/control:
    - Bump Standards.
    - Depends on menu.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 01 Mar 2010 01:21:33 +0100

gnome-format (0.1.1-0ubuntu8) lucid; urgency=low

  * Use internal copy of waf, updated to 1.5.13 to allow build.
  * debian/patches/03-add_parted_vapi.dpatch:
    - Fix compatibility with new vala.
  
 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 27 Feb 2010 15:07:10 +0100

gnome-format (0.1.1-0ubuntu7) karmic; urgency=low

  * debian/patches/06-launch_with_gksu.dpatch:
    - Launch gnome-format with gksu (LP: #437656).

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Sun, 27 Sep 2009 15:35:30 +0100

gnome-format (0.1.1-0ubuntu6) karmic; urgency=low

  * Rebuild for libparted1.8-10 -> 12 transition.
  * debian/control: 
    - Add missing comma to build-depends (LP: #392205).
    - Add build-depend on waf.
  * debian/patches/02-compile_with_latest_vala_fix_from_git.dpatch:
    - Backport fix from GIT to fix FTBFS with latest vala.
  * debian/patches/03-add_parted_vapi, 
    debian/patches/04-remove_old_vapi.dpatch:
    - Backport patches from GIT to add vapi/parted.vapi and remove old
      vapi from src/wscript_build, needed for above patch.
  * debian/patches/05-fix_use_of_uninitialized_variable.dpatch:
    - Fix use of possibly unassigned local variable `storage_provider',
      causing FTBFS with latest vala.
  * debian/rules:
    - Use system /usr/bin/waf to build source rather than the version
      in the source package. It fails to build with the shipped version.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Mon, 14 Sep 2009 00:22:18 +0100

gnome-format (0.1.1-0ubuntu5) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Mar 2009 13:23:23 +0000

gnome-format (0.1.1-0ubuntu4) jaunty; urgency=low

  * Add dpatch support.
  * Add Swedish translations.
  * Add debian/patches/01-fix_app_version_011 to fix application current version
    number (LP: #339930).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 15 Mar 2009 11:41:11 +0100

gnome-format (0.1.1-0ubuntu3) jaunty; urgency=low

  * Add Czech and Spanish translations, taken from upstream SVN.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 23 Feb 2009 23:24:32 +0100

gnome-format (0.1.1-0ubuntu2) jaunty; urgency=low

  * Add italian translation, provided by Milo Casagrande.
  * Install german and italian translations.
  * Use waf to install everything instead of dh_install.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 19 Feb 2009 20:41:35 +0100

gnome-format (0.1.1-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #316908).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 01 Feb 2009 10:10:51 +0100

=== debian/control ===
Source: gnome-format
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 libglib2.0-dev (>= 2.10.0),
 libgtk2.0-dev (>= 2.10.0),
 libdbus-glib-1-dev,
 libgee-dev,
 libglade2-dev,
 libparted0-dev (>= 2.2),
 intltool,
 valac-0.12 (>= 0.5.1),
 gnome-doc-utils,
 docbook-utils,
 sharutils
Standards-Version: 3.9.2
Homepage: http://live.gnome.org/gnome-format

Package: gnome-format
Architecture: any
Depends: ${shlibs:Depends},
 menu,
 ${misc:Depends}
Description: tool for formatting external memory media
 gnome-format is a tool to easily format (erase and initialize) external
 memory media like USB sticks or SD/MMC flash cards for your PC. It is
 designed for Linux based operating systems, like Ubuntu, and for the GNOME
 desktop.
 .
 Features:
  - Easy to use.
  - Autodetects available media through HAL.
  - Supports external harddrives, USB sticks, SD/MMC cards and other external
    media
  - Supports FAT16/32 filesystem for compatibility with other operating
    systems and ext2 for Linux-only users.

=== debian/rules ===
#!/usr/bin/make -f

# Path to the debian directory
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} |awk '{print $$1}' |xargs dirname)
VERSION ?=$(shell uscan --dehs | \
sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CATALOGS := de it es cs sv

%:
	dh $@

override_dh_auto_configure:
	uudecode -o debian/waf debian/waf.uuencoded
	chmod +x debian/waf
	debian/waf configure --prefix=/usr

override_dh_auto_build:
	debian/waf

override_dh_auto_clean:
	rm -rf build-stamp configure-stamp build .waf* .lock-wscript
	rm -rf po/*.mo
	dh_auto_clean

override_dh_auto_install:
	debian/waf --destdir=$(CURDIR)/debian/gnome-format install 
	for x in $(CATALOGS); \
	do \
		msgfmt po/$$x.po -c -o po/gnome-format.mo; install -D -m 644 po/gnome-format.mo \
		$(CURDIR)/debian/gnome-format/usr/share/locale/$$x/LC_MESSAGES/gnome-format.mo; \
	done

get-orig-source:
	cd $(CURDIR)/.. && wget --user-agent="" -O gnome-format-$(VERSION).tar.bz2 \
	"http://live.gnome.org/gnome-format/Download?action=AttachFile&do=get\
	&target=gnome-format-$(VERSION).tar.bz2"
	bunzip2 ../gnome-format-$(VERSION).tar.bz2
	mv ../gnome-format-$(VERSION).tar \
	../gnome-format_$(VERSION).orig.tar
	gzip -9fn ../gnome-format_$(VERSION).orig.tar

=== debian/watch ===
version=3
http://live.gnome.org/action/AttachFile/gnome-format/Download?action=AttachFile \
.*gnome-format-([\d.]*)\.tar\.bz2
